Try ERPNext Buy Support Partners Foundation

ERNnext v12.x.x with CentOS 7 or better CentOS 8 - "Easy Install" should work at 11. Jan. 2020?

Hello,

can i use “Easy Install” to install ERPNext at this time?

Many tutorials doesn’t work at this time.

I want to use the system with Virtualbox 6.1.

Thanks

jannis

Easy install works on Ubuntu 18.04 with python3. With CentOS7 it was a bit more complicated, the last time I tried. You first have to install all the dependencies that easy install misses.

Try to run this first:

yum install epel-release && yum update
yum groupinstall "Development Tools" # equivalent of build-essential
yum install git ntp wget
yum install https://centos7.iuscommunity.org/ius-release.rpm
yum install python36u python36u-devel python36u-pip
[jannis@localhost ~]$ sudo python3 install.py --production --user jannis
[sudo] Passwort für jannis: 
Logs are saved under /tmp/logs/easy-install__2020-01-12__16-07.log
Checking System Compatibility...
centos 7 is compatible!
Bench's CLI needs these to be defined!
Run the following commands in shell: 
export LC_ALL=C.UTF-8
[jannis@localhost ~]$ 

and

[jannis@localhost ~]$ sudo export LC_ALL=C.UTF-8
sudo: export: command not found
[jannis@localhost ~]$ 

or as root

[jannis@localhost ~]$ sudo su
bash: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
bash: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
[root@localhost jannis]# export LC_ALL=C.UTF-8
bash: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
bash: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
[root@localhost jannis]# 

Hello, this is my output.

https://www.noreplied.com/how-to-fixed-cannot-change-locale-utf-8-error-in-centos-7/

[root@localhost ~]# export LC_ALL=C.UTF-8 
-bash: Warnung: setlocale: LC_ALL: cannot change locale (C.UTF-8): Datei oder Verzeichnis nicht gefunden
-bash: Warnung: setlocale: LC_ALL: cannot change locale (C.UTF-8)
[root@localhost ~]#

“Easy Install” httxx://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py;

https://pastebin.com/PEATJgCD

Line 44:             message += "\nexport {0}=C.UTF-8".format(var)

CentOS 7 doesn’t have …UTF-8

[root@localhost ~]# localectl list-locales | grep utf-8
[root@localhost ~]# 

localectl list-locales | grep utf8

https://pastebin.com/MtwrbbAu

The “Easy Install” way doesn’t work for me at this time. :frowning:

New fresch CentOS 7 install (osboxes.org), my problem:

[def_user@osboxes ~]$ sudo python3 install.py --production --user def_user
[sudo] password for def_user:                                                                                                                                                                                                    
Logs are saved under /tmp/logs/easy-install__2020-01-13__10-26.log                                                                                                                                                               
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)                                                                                                                                                              
Checking System Compatibility...                                                                                                                                                                                                 
centos 7 is compatible!                                                                                                                                                                                                          
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)                                                                                                                                                              
Failed to set locale, defaulting to C
Maybe run: yum groups mark install (see man yum)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
Failed to set locale, defaulting to C
curl already installed!
wget already installed!
git already installed!
pip3 already installed!
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
WARNING: Running pip install with root privileges is generally not a good idea. Try `__main__.py install --user` instead.

/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)
Traceback (most recent call last):
  File "install.py", line 414, in <module>
    install_bench(args)
  File "install.py", line 200, in install_bench
    run_playbook('create_user.yml', extra_vars=extra_vars)
  File "install.py", line 351, in run_playbook
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'), stdout=log_stream, stderr=sys.stderr)
  File "/usr/lib64/python3.6/subprocess.py", line 306, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python3.6/subprocess.py", line 287, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib64/python3.6/subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.6/subprocess.py", line 1364, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'ansible-playbook': 'ansible-playbook'
[def_user@osboxes ~]$ 
[def_user@osboxes ~]$
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)

Why i get this problem?
How can i solved the problem?

This solutions doesn’t work:

Systeminfo:

[def_user@osboxes ~]$ locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=en_US.utf-8
LC_CTYPE="C.UTF-8"
LC_NUMERIC="C.UTF-8"
LC_TIME="C.UTF-8"
LC_COLLATE="C.UTF-8"
LC_MONETARY="C.UTF-8"
LC_MESSAGES="C.UTF-8"
LC_PAPER="C.UTF-8"
LC_NAME="C.UTF-8"
LC_ADDRESS="C.UTF-8"
LC_TELEPHONE="C.UTF-8"
LC_MEASUREMENT="C.UTF-8"
LC_IDENTIFICATION="C.UTF-8"
LC_ALL=C.UTF-8
[def_user@osboxes ~]$

httxs://serverfault.com/questions/320971/centos-6-and-locale-error/320983

I use a ssh connection to my CentOS 7 Server.

https://forums.centos.org/viewtopic.php?t=51222

https://bugzilla.redhat.com/show_bug.cgi?id=1590680

https://bugzilla.redhat.com/show_bug.cgi?id=1361965

Solution:

$ cat /etc/environment
LANG=en_US.utf-8
LC_ALL=en_US.utf-8
1 Like

New problem:

[def_user@osboxes ~]$ sudo python3 install.py --production --user def_user
Logs are saved under /tmp/logs/easy-install__2020-01-13__11-57.log
Checking System Compatibility...
centos 7 is compatible!
Maybe run: yum groups mark install (see man yum)
curl already installed!
wget already installed!
git already installed!
pip3 already installed!
Traceback (most recent call last):
  File "install.py", line 414, in <module>
    install_bench(args)
  File "install.py", line 200, in install_bench
    run_playbook('create_user.yml', extra_vars=extra_vars)
  File "install.py", line 351, in run_playbook
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'), stdout=log_stream, stderr=sys.stderr)
  File "/usr/lib64/python3.6/subprocess.py", line 306, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python3.6/subprocess.py", line 287, in call
    with Popen(*popenargs, **kwargs) as p:
  File "/usr/lib64/python3.6/subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.6/subprocess.py", line 1364, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'ansible-playbook': 'ansible-playbook'
[def_user@osboxes ~]$

htxtps://discuss.erpnext.com/t/installation-error-oserror-errno-2-no-such-file-or-directory-root-bench-playbooks/34478/9

git clone https://github.com/frappe/bench bench-repo

No solution. :frowning:

sudo yum install -y ansible

New try:

[def_user@osboxes ~]$ sudo -H python3 install.py --production --user def_user                                                                                                                                                    
[sudo] password for def_user:                                                                                                                                                                                                    
Logs are saved under /tmp/logs/easy-install__2020-01-13__12-43.log                                                                                                                                                               
Checking System Compatibility...                                                                                                                                                                                                 
centos 7 is compatible!                                                                                                                                                                                                          
Maybe run: yum groups mark install (see man yum)                                                                                                                                                                                 
curl already installed!                                                                                                                                                                                                          
wget already installed!                                                                                                                                                                                                          
git already installed!                                                                                                                                                                                                           
pip3 already installed!                                                                                                                                                                                                          
[WARNING]: provided hosts list is empty, only localhost is available. Note that the implicit localhost does not match 'all'                                                                                                      
Input MySQL and Frappe Administrator passwords:                                                                                                                                                                                  
Passwords saved at ~/passwords.txt                                                                                                                                                                                               
[WARNING]: provided hosts list is empty, only localhost is available. Note that the implicit localhost does not match 'all'                                                                                                      
Traceback (most recent call last):                                                                                                                                                                                               
  File "install.py", line 414, in <module>                                                                                                                                                                                       
    install_bench(args)                                                                                                                                                                                                          
  File "install.py", line 230, in install_bench                                                                                                                                                                                  
    run_playbook('site.yml', sudo=True, extra_vars=extra_vars)                                                                                                                                                                   
  File "install.py", line 351, in run_playbook                                                                                                                                                                                   
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'), stdout=log_stream, stderr=sys.stderr)                                                                                                              
  File "/usr/lib64/python3.6/subprocess.py", line 311, in check_call                                                                                                                                                             
    raise CalledProcessError(retcode, cmd)                                                                                                                                                                                       
subprocess.CalledProcessError: Command '['ansible-playbook', '-c', 'local', 'site.yml', '-vvvv', '-e', '@/tmp/extra_vars.json', '--become', '--become-user=def_user']' returned non-zero exit status 2.                          
[def_user@osboxes ~]$

No Solution.

I can see the install script doesn’t provide more details like before, but as I remember line 414 errors maybe due to swap issue.
Please check out free -m to see if swap is there
in case of you’re using VPS based on OpenVZ, the problem will be about the swap.
yet you can try to proceed with,

sudo python3 install.py --production --user USER --container
1 Like

Hello OnlineAlone, it doesn’t work. :frowning:

Sorry to hear that, but I’m not familiar with CentOS
anyway, keep trying, installation process always unstable with erpnext
sometimes it works, sometimes no

Hallo OnlineAlone, since when have you been watching?

Hello, can i use ERPNext v12.x.x with CentOS 7?

Can ist use ERPNext v12.x.x wiht CentOS 8?

jannis

Hello @jannis
I follow-up erpnext since 2014
yes CentOS is supported but I didn’t try it before
It’s all about system configurations, else it should work